Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTreeNodesAdaptor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.model.StackingTreeModelProvider
                  org.richfaces.component.UITreeNodesAdaptor
                      org.richfaces.component.html.HtmlTreeNodesAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlTreeNodesAdaptor

extends UITreeNodesAdaptor

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlTreeNodesAdaptor()`

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.Object` | `getNodes()`
`java.lang.String` | `getVar()`
`boolean` | `isIncludedNode()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setIncludedNode(boolean _includedNode)`
`void` | `setNodes(java.lang.Object _nodes)`
`void` | `setVar(java.lang.String _var)`

Methods inherited from class org.richfaces.component.UITreeNodesAdaptor
`createStackingTreeModel, includeNode`

Methods inherited from class org.richfaces.model.StackingTreeModelProvider
`getData, getStackingModel`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlTreeNodesAdaptor

    public HtmlTreeNodesAdaptor()

Method Detail

### isIncludedNode

    public boolean isIncludedNode()

  Specified by:
    `isIncludedNode` in class `UITreeNodesAdaptor`

### setIncludedNode

    public void setIncludedNode(boolean _includedNode)

  Specified by:
    `setIncludedNode` in class `UITreeNodesAdaptor`

### getNodes

    public java.lang.Object getNodes()

  Specified by:
    `getNodes` in class `org.richfaces.model.StackingTreeModelProvider`

### setNodes

    public void setNodes(java.lang.Object _nodes)

  Specified by:
    `setNodes` in class `org.richfaces.model.StackingTreeModelProvider`

### getVar

    public java.lang.String getVar()

  Specified by:
    `getVar` in class `UITreeNodesAdaptor`

### setVar

    public void setVar(java.lang.String _var)

  Specified by:
    `setVar` in class `UITreeNodesAdaptor`

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.